Bug 738808 - Debugging dracut problems impossible.
Summary: Debugging dracut problems impossible.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: dracut
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: dracut-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-15 21:01 UTC by Joe Christy
Modified: 2012-08-06 19:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Joe Christy 2011-09-15 21:01:17 UTC
Description of problem:
http://fedoraproject.org/wiki/How_to_debug_Dracut_problems describes some alternate universe

Version-Release number of selected component (if applicable):
dracut-009-12.fc15.noarch


How reproducible:
Every time

Steps to Reproduce:
1. Get into a situation where your machine won't boot and you are dropped into the dracut debug shell
2.
3.
  
Actual results:
I'm hosed.

Expected results:
The description at http://fedoraproject.org/wiki/How_to_debug_Dracut_problems applies to my plight.

Additional info:
Tteps 1-3 in the "Identifying your problem area" section of that web page don't give me anything that I didn't have before and the dracut shell doesn't allow me access to /init.log, or any of the other files and commands in the "Information to include in your report" section. Finally, contrary to what the "Using the dracut shell" section says, I don't get dropped into a shell after

No root device found
Dropping to debug shell.

sh: can't access tty; job control turned off

I just end up at the dracut:/# prompt

Most frustratingly, I can't even get out of dracut without power cycling my machine

Comment 1 Joe Christy 2011-09-15 21:13:59 UTC
https://bugzilla.redhat.com/show_bug.cgi?id=738815 gives more details on how I achieved this sad state to reproduce the bug.

Comment 2 Fedora Admin XMLRPC Client 2011-10-20 16:20:30 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2012-08-06 19:57:13 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-06 19:58:59 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.